IntegrationsN1

Show one DIAN import with status, date range, counts and scan progress.

POST
/integrations/connections/{connection_id}/providers/n1/dian-imports/get

Show one DIAN import with status, date range, counts and scan progress.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/n1/dian-imports/get" \  -H "Content-Type: application/json" \  -d '{    "company_id": 1,    "import_id": 1  }'
{  "id": 0,  "status": "ACTIVE",  "source": "example",  "document_type": "example",  "found_cufes_count": 0,  "founded_electronic_invoices_count": 0,  "founded_credit_notes_count": 0,  "founded_skipped_count": 0,  "scan_progress": {}}